.text-max-n-line {
    -webkit-line-clamp: attr("line");
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.text-max-4-line {
    -webkit-line-clamp: 4;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
}

.timeline {
    --bs-timeline-icon-size: 38px;
    --bs-timeline-icon-space: 0.35rem;
}

.timeline.timeline-border-dashed .timeline-line {
    border-left-style: dashed !important;
}

.timeline .timeline-line {
    display: block;
    content: " ";
    justify-content: center;
    position: absolute;
    z-index: 0;
    left: 0;
    top: var(--bs-timeline-icon-size);
    bottom: 0;
    transform: translate(50%);
    border-left-width: 1px;
    border-left-style: solid;
    border-left-color: var(--bs-gray-300);
    width: var(--bs-timeline-icon-size);
    margin-top: var(--bs-timeline-icon-space);
    margin-bottom: var(--bs-timeline-icon-space);
}

.timeline.timeline-border-dashed .timeline-icon {
    border-style: dashed !important;
}

.timeline .timeline-icon {
    z-index: 1;
    flex-shrink: 0;
    margin-right: 1rem;
    width: var(--bs-timeline-icon-size);
    height: var(--bs-timeline-icon-size);
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--bs-gray-300);
    border-radius: 50%;
}

/* html[data-bs-theme="dark"]{
    .header{
        background-color: #465e86;
    }
    .app-header-menu .menu > .menu-item > .menu-link .menu-title{
        color: #99a5ba;
    }
    .app-header-menu .menu > .menu-item.here > .menu-link{
        background-color: #5f80b7;
        color: #fff;
    }
    .app-header-menu .menu > .menu-item.here > .menu-link .menu-title{
        color: #fff;
    }
    .app-header-menu .menu > .menu-item.here > .menu-link > .menu-icon i{
        color: #fff;
    }
    .app-header-menu .menu > .menu-item > .menu-link > .menu-icon i{
        color: #99a5ba;
    }
    .dark-gradient{
        background: linear-gradient(135deg, #2e3c5e 0%, #2f3f64 45%,#182037 90%);
    }
    .card{
        background-color: #1a223799;
        border: none;
    }
    .form-control{
        background-color: #303f63;
    }
    .table:not(.table-bordered).table-row-dashed tr{
        border-color: #465e86;
    }
    .menu-arrow-gray-500 .menu-item .menu-link .menu-arrow:after{
        background-color: #99a5ba;
    }
} */
html[data-bs-theme="dark"] .header{
    background-color: #465e86;
}
html[data-bs-theme="dark"] .app-header-menu .menu > .menu-item > .menu-link .menu-title{
    color: #99a5ba;
}
html[data-bs-theme="dark"] .app-header-menu .menu > .menu-item.here > .menu-link{
    background-color: #5f80b7;
    color: #fff;
}
html[data-bs-theme="dark"] .app-header-menu .menu > .menu-item.here > .menu-link .menu-title{
    color: #fff;
}
html[data-bs-theme="dark"] .app-header-menu .menu > .menu-item.here > .menu-link > .menu-icon i{
    color: #fff;
}
html[data-bs-theme="dark"] .app-header-menu .menu > .menu-item > .menu-link > .menu-icon i{
    color: #99a5ba;
}
html[data-bs-theme="dark"] .dark-gradient{
    background: linear-gradient(135deg, #2e3c5e 0%, #2f3f64 45%,#182037 90%);
}
html[data-bs-theme="dark"] .card{
    background-color: #1a223799;
    border: none;
}
html[data-bs-theme="dark"] .form-control{
    background-color: #303f63;
}
html[data-bs-theme="dark"] .table:not(.table-bordered).table-row-dashed tr{
    border-color: #465e86;
}
html[data-bs-theme="dark"] .menu-arrow-gray-500 .menu-item .menu-link .menu-arrow:after{
    background-color: #99a5ba;
}
.app-header{
    height: auto !important;
}